Skip to main content
GET
/
datasets
/
{dataset_id}
/
documents
/
{batch}
/
indexing-status
Get Document Indexing Status
curl --request GET \
  --url https://{api_base_url}/datasets/{dataset_id}/documents/{batch}/indexing-status \
  --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "a8e0e5b5-78c6-4130-a5ce-25feb0e0b4ac", "indexing_status": "completed", "processing_started_at": 1741267200, "parsing_completed_at": 1741267200, "cleaning_completed_at": 1741267200, "splitting_completed_at": 1741267200, "completed_at": 1741267200, "paused_at": null, "error": null, "stopped_at": null, "completed_segments": 5, "total_segments": 5 } ] }

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer . Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

batch
string
required

Batch ID returned from document creation.

Response

Indexing status for documents in the batch.

data
object[]

List of indexing status entries.

Last modified on July 2, 2026